Subject: Re: [PATCH v4 1/6] dt-bindings: usb: musb: Add support for MediaTek musb controller

From: Bin Liu <[email-masked]>
Date: Tue, 22 Jan 2019 08:33:48 -0600

Hi Min,

On Tue, Jan 22, 2019 at 05:36:13PM +0800, Min Guo wrote:
> Hi Bin,
> 
> Sorry to bother you again, I encounter a problem about the extcon
> property.
> 
> I don't find a common driver describing the usb-connector. Is
> there any driver that I can refer to, specially the way to switch MUSB
> controller between host and device mode? 
> If it needs to implement by myself, is it possible to emulate an
> usb-connector driver by extcon-usb-gpio, and also use the notifier
> mechanism or can you give me some advices?

I am afraid I am unable to help you on this. I wasn't really pay
attention when usb-connector was introduced and not sure how it can
replace extcon. Now after read usb-connector.txt, it seems the binding
only defines a/b/c-connector, but not ab-connector, and there is no
enough information (at least for me) explaining how VBUS and ID fix into
this usb-connector binding.

Maybe Rob can provide some hint.

Regards,
-Bin.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel